Module
Contents
Index 🔎︎

# Option VBASupport Statement

Specifies that LibreOffice Basic will support some VBA statements, functions and objects.

The support for VBA is not complete, but covers a large portion of the common usage patterns.

## Syntax:

    Option VBASupport {1|0}

## Parameters:

This statement must be added before the executable program code in a module.

1: Enable VBA support in LibreOffice

0: Disable VBA support

## Example:

    Option VBASupport 1

    Sub ExampleVBA

    Dim sVar As Single

     sVar = Worksheets("Sheet1").Range("A1")

    Print sVar

    End Sub

འབྲེལ་ཡོད་གཙོ་དོན་

VBA Properties

VBA support in LibreOffice